当前位置: 首页 > 教程 > Mac软件技巧 > RubyMine如何选择Ruby解释器并安装使用?

RubyMine如何选择Ruby解释器并安装使用?

打开项目后,有必要选择所需的 Ruby解释器并安装项目的Gemfile中指定的依赖项:

1 按⌃⌥S(shift+option+S)打开“ 设置/首选项”对话框,转到“ 语言和框架”| Ruby SDK和Gems页面并选择所需的解释器。

在本教程中,我们使用RVM来管理Ruby解释器。您还可以使用由其他版本管理器管理的解释程序,或使用操作系统的程序包管理系统进行安装。

单击确定。

2 现在,让我们安装Gemfile中指定的gem。RubyMine允许您使用Bundler来管理gem。要安装Bundler,请按^两次并输入以下命令:gem install bundler。

运行Anything / gem install bundler
按,⏎然后等待,直到安装了Bundler gem。

3现在,您可以在RubyMine中使用Bundler命令。要安装gem,请^再次按两次并开始键入bundle install。然后,从列表中选择bundle install命令,然后按⏎。

在“ Bundle Install”对话框中,单击“ Install”。

4 捆绑安装对话框
等到RubyMine安装所有宝石。

5 运行工具窗口/安装宝石现在我们可以在编辑器中尝试一些功能。

相关文章